class Pilha:
    #-----------------------------------------------------
    def __init__(self):
        '''Construtor da classe.

        Cria os atributos de um objeto da classe Pilha.
        '''
        self.itens = []

    #-----------------------------------------------------        
    def __str__(self):
        '''(Pilha) -> str

        Recebe uma Pilha referenciada por self e constroi e 
        retorna o string exibido por print() para imprimir uma 
        pilha. Esse também é o string retornado por str().
        '''
        itens = self.itens
        n = len(itens)
        if n == 0: 
            s = "[]"
        else:
            s = "["
            for item in itens:
                s += str(item) + ", "
            s = s[:-2] + "]"        
        return s

    #-----------------------------------------------------
    def __len__(self):
        '''(Pilha) -> int

        Recebe uma Pilha referenciada por self e retorna
        o número de itens na pilha.
        '''
        return len(self.itens)

    #-----------------------------------------------------    
    def vazia(self):
        '''(Pilha) -> bool

        Recebe uma Pilha referenciada por self e retorna 
        True se ela está vazia e False em caso contrário.
        '''
        return self.itens == []

    #-----------------------------------------------------    
    def empilha(self, item):
        '''(Pilha, objeto) -> None

        Recebe uma Pilha referenciada por self e um objeto 
        item e coloca item no topo da pilha.
        ''' 
        self.itens.append(item)

    #-----------------------------------------------------        
    def desempilha(self):
        '''(Pilha) -> objeto

        Recebe uma Pilha referenciada por self e desempilha 
        e retorna o objeto no topo da pilha.
        '''
        return self.itens.pop()

    #-----------------------------------------------------    
    def topo(self):
        '''(Pilha) -> objeto 

        Recebe uma Pilha referenciada por self e retorna
        o objeto no topo da pilha.
        '''
        return self.itens[-1]

